org.apache.lucene.codecs.simpletext

## Class SimpleTextSegmentInfoFormat

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoFormat

    public class SimpleTextSegmentInfoFormat
    extends SegmentInfoFormat

plain text segments file format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`static String` `SI_EXTENSION`

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextSegmentInfoFormat()`

### Method Summary

Methods
`SegmentInfoReader` `getSegmentInfoReader()`
`SegmentInfoWriter` `getSegmentInfoWriter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SI_EXTENSION

    public static final String SI_EXTENSION

See Also:
  Constant Field Values

### Constructor Detail

#### SimpleTextSegmentInfoFormat

    public SimpleTextSegmentInfoFormat()

### Method Detail

#### getSegmentInfoReader

    public SegmentInfoReader getSegmentInfoReader()

Specified by:
  `getSegmentInfoReader` in class `SegmentInfoFormat`

#### getSegmentInfoWriter

    public SegmentInfoWriter getSegmentInfoWriter()

Specified by:
  `getSegmentInfoWriter` in class `SegmentInfoFormat`